-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlStateDiagram

Declaration :

- C++ : class UmlStateDiagram : public UmlBaseStateDiagram, public UmlStateItem
- Java : class UmlStateDiagram extends UmlBaseStateDiagram implements UmlStateItem

Artifact : UmlStateDiagram

Operation UmlStateDiagram

Declaration :

- C++ : public: UmlStateDiagram(void * id, const QCString & s) : UmlBaseStateDiagram(id, s)
- Java : public UmlStateDiagram(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload